KashierDevelopersKashier Developers

Get plans for specific bank

curl -X GET "https://test-api.kashier.io/merchant/installments/plans?mid=string&amount=string&currency=string&fiId=string"
{  "response": {    "bankPlans": [      {        "Logo URL": "https://static.kashier.io/financial-institution/fiLogo88.67764148407942",        "Terms & Conditions url EN": "https://www.adib.eg/personal-banking/adib-cards/cardsoffer",        "Terms & Conditions url AR": "https://www.adib.eg/arabic/personal-banking/adib-cards/cardsoffer",        "Bank Name EN": "Abu Dhabi Islamic Bank",        "Bank Name AR": "مصرف أبوظبي الإسلامي",        "Bank Abbreviation": "ADIB",        "Bank system ID": "FI-13",        "Minimum installment amount": 10,        "Supported BINs": [          {            "Prefix": "548457",            "From": "0000",            "To": "9999",            "Product Name": "Gold Mastercard"          },          {            "Prefix": "524524",            "From": "0000",            "To": "9999",            "Product Name": "Titanium MasterCard"          }        ],        "plans": [          {            "Plan Financing": true,            "Merchant Plan ID": "INSPLAN-53",            "Name EN": "Pay with installments on 3 months",            "Name AR": "تقسيط على 3 شهور",            "Duration": 3,            "Full Amount / Original amount": "10000.00",            "Bank Interest Rate": "7.00",            "Installment amount per month": "3566.67",            "Authorization Amount": "10000.00"          },          {            "Plan Financing": true,            "Merchant Plan ID": "INSPLAN-54",            "Name EN": "Pay with installments on 6 months",            "Name AR": "تقسيط على 6 شهور",            "Duration": 6,            "Full Amount / Original amount": "10000.00",            "Bank Interest Rate": "8.14",            "Installment amount per month": "1802.33",            "Authorization Amount": "10000.00"          },          {            "Plan Financing": true,            "Merchant Plan ID": "INSPLAN-55",            "Name EN": "Pay with installments on 9 months",            "Name AR": "تقسيط على 9 شهور",            "Duration": 9,            "Full Amount / Original amount": "10000.00",            "Bank Interest Rate": "10.00",            "Installment amount per month": "1222.22",            "Authorization Amount": "10000.00"          },          {            "Plan Financing": true,            "Merchant Plan ID": "INSPLAN-56",            "Name EN": "Pay with installments on 12 months",            "Name AR": "تقسيط على 12 شهور",            "Duration": 12,            "Full Amount / Original amount": "10000.00",            "Bank Interest Rate": "12.15",            "Installment amount per month": "934.58",            "Authorization Amount": "10000.00"          },          {            "Plan Financing": true,            "Merchant Plan ID": "INSPLAN-57",            "Name EN": "Pay with installments on 18 months",            "Name AR": "تقسيط على 18 شهور",            "Duration": 18,            "Full Amount / Original amount": "10000.00",            "Bank Interest Rate": "15.95",            "Installment amount per month": "644.17",            "Authorization Amount": "10000.00"          },          {            "Plan Financing": true,            "Merchant Plan ID": "INSPLAN-58",            "Name EN": "Pay with installments on 24 months",            "Name AR": "تقسيط على 24 شهور",            "Duration": 24,            "Full Amount / Original amount": "10000.00",            "Bank Interest Rate": "20.40",            "Installment amount per month": "501.67",            "Authorization Amount": "10000.00"          },          {            "Plan Financing": true,            "Merchant Plan ID": "INSPLAN-59",            "Name EN": "Pay with installments on 36 months",            "Name AR": "تقسيط على 36 شهور",            "Duration": 36,            "Full Amount / Original amount": "10000.00",            "Bank Interest Rate": "26.87",            "Installment amount per month": "352.42",            "Authorization Amount": "10000.00"          }        ]      }    ]  },  "messages": {    "en": "Installment plans retrieved successfully",    "ar": "Installment plans retrieved successfully"  },  "status": "SUCCESS"}

Retrieves the installment plans for a specific bank (selected by fiId, the banknSystemID retrieved from the "Get available banks" step). After a successful response, the monthly amount for every plan is in the Installment amount per month parameter. Step 2 of retrieving installment plans.

Query Parameters

mid*string

Merchant account number or merchant ID

amount*string

the price of the product you want to get installment plans for

currency*string

the currency of the product

fiId*string

banknSystemID for the selected bank, retrieved from the first step

Response Body

application/json

application/json

application/json

GET
/merchant/installments/plans